Loading...
Searching...
No Matches
osim_card_profile Struct Reference

A card profile (e.g. More...

`#include <sim.h>`

## Data Fields

const char * | name
struct osim_file_desc * | mf
| Descriptor for the MF (root directory.
const struct osim_card_sw ** | sws
| Array of pointers to status words.

## Detailed Description

A card profile (e.g.

SIM card

## Field Documentation

## mf

struct osim_file_desc* osim_card_profile::mf

Descriptor for the MF (root directory.

Referenced by osim_cprof_sim(), osim_cprof_tsim(), and osim_cprof_uicc().

## name

const char* osim_card_profile::name

Referenced by osim_cprof_sim(), osim_cprof_tsim(), and osim_cprof_uicc().

## sws

const struct osim_card_sw** osim_card_profile::sws

Array of pointers to status words.

Referenced by osim_cprof_find_sw(), osim_cprof_sim(), osim_cprof_tsim(), and osim_cprof_uicc().

The documentation for this struct was generated from the following file:

- include/osmocom/sim/sim.h